Bug 440310 - Upgrade from F8 stalls at end, grub not able to install boot loader
Upgrade from F8 stalls at end, grub not able to install boot loader
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-02 14:49 EDT by Jesse Keating
Modified: 2013-01-09 22:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 12:55:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-04-02 14:49:12 EDT
At the very end of the upgrade process, the UI stalls and the tty shows that
grub install attempt failed.

grub> install --stage2=/boot/grub/stage2 /grub/stage1 d (hd0) /grub/stage2 p
(hd0,0)/grub/grub.conf

Error 12: Invalid device requested


However from a grub prompt in the chroot one can do:

grub> cat (hd0,0)/grub/grub.conf

and get the grub.conf contents, so the hd0 device does exist as does the partition.
Comment 1 Jeremy Katz 2008-04-02 22:55:14 EDT
What's the last thing on tty3?  We shouldn't stall for that (or at least,
haven't in the past).  

Somehow, I have this suspicion that tomorrow is "upgrade day"
Comment 2 Jesse Keating 2008-04-02 23:00:23 EDT
Honestly I don't recall what was there.  I've got multiple machines that are
setup to do upgrade testing tomorrow, and I'll be trying to duplicate this.
Comment 3 Jeremy Katz 2008-04-09 12:11:04 EDT
I think we've both done a fair number of upgrades now... seen this one again?
Comment 4 Jesse Keating 2008-04-09 12:55:31 EDT
Nope, I haven't.  Closing for now.

Note You need to log in before you can comment on or make changes to this bug.